import matplotlib.pyplot as plt
numargs = mielke.numargs
[ k, s ] = [0.9,] * numargs
rv = mielke(k, s)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = mielke.cdf(x, k, s)
h = plt.semilogy(np.abs(x - mielke.ppf(prb, k, s)) + 1e-20)

# Random number generation

R = mielke.rvs(k, s, size=100)
